CREATE DATABASE altpath;

USE altpath;
CREATE TABLE `templates` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `offers` (
  `offer_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `display_title` varchar(255) DEFAULT NULL,
  `disclaimer` text DEFAULT NULL,
  PRIMARY KEY (`offer_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `paths` (
  `path_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`path_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `offer_paths` (
  `offer_id` int(11) NOT NULL DEFAULT 0,
  `path_id` int(11) DEFAULT 0,
  UNIQUE KEY `offer_path_id` (`offer_id`,`path_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `path_templates` (
	`path_id` int(11) NOT NULL,
	`template_id` int(11) NOT NULL,
	`sequence` int(11) DEFAULT 0,
	UNIQUE KEY `path_template_id` (`path_id`,`template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

